Skip to main content
GET
/
providers
List Providers
curl --request GET \
  --url https://api.example.com/providers
import requests

url = "https://api.example.com/providers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/providers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "prefix": "<string>",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "author": {
        "display_name": "<string>",
        "organization_id": "<string>"
      },
      "canonical": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "scope": "public",
      "icon_url": "<string>",
      "readme": "<string>",
      "tags": [
        "<string>"
      ],
      "latest_version": "<string>",
      "install_count": 0
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Query Parameters

q
string | null

Search query

scope
enum<string> | null

Filter by scope Scope of a provider in the catalog.

Available options:
public,
tenant
tags
string[] | null

Filter by tags

limit
integer
default:20

Page size

Required range: 1 <= x <= 100
offset
integer
default:0

Offset

Required range: x >= 0

Response

Successful Response

items
Provider · object[]
required
total
integer
required
limit
integer
required
offset
integer
required